package com.juxin.client.websocket.enums;

public enum PythonJavaWebsocketEnum {


//    //    运行状态更新
//    STATE_RUNNING_MSG("stateRunningMsg", "流程开始运行更新", -1),
//    STATE_OVER_MSG("stateOverMsg", "流程运行状态更新", -1),

    //资金查询流程启动
    BANK_CARD_FUNDS_COMMIT("bankCommit", "提交银行卡流水查询", 1),
    THIRD_PARTY_ALL_ACCOUNT_COMMIT("allAccountCommit", "提交第三方全账户查询", 2),
    SERIAL_NUMBER_COMMIT("serialCommit", "提交流水号查询", 3),
    THIRD_FUNDS_COMMIT("thirdCommit", "提交第三方账户查询", 4),
    //    资金查询流程结束返回分割数据入库
//    COMMIT_DATA_POST_BACK("commitDataPostBack", "查询提交切割数据返回", -1),

    //     java发起查询列表 4
    BANK_CARD_FUNDS_SEARCH_LIST("bankList", "获取银行卡查询提交列表", -1),
    THIRD_FUNDS_SEARCH_LIST("thirdList", "获取第三方查询提交列表", -1),
    SERIAL_NUMBER_SEARCH_LIST("serialList", "获取流水号查询提交列表", -1),
    THIRD_PARTY_ALL_ACCOUNT_SEARCH_LIST("allAccountList", "获取第三方全账户查询提交列表", -1),

    //java发起最终数据回捞 4
    BANK_CARD_FUNDS_SPLIT_RESULT("bankResult", "银行卡资金数据回捞", 5),
    THIRD_FUNDS_SPLIT_RESULT("thirdResult", "第三方资金数据回捞", 6),
    THIRD_PARTY_ALL_ACCOUNT_SPLIT_RESULT("allAccountResult", "第三方全账户资金数据回捞", 7),
    SERIAL_NUMBER_SPLIT_RESULT("serialResult", "流水号资金结果数据回捞", 8),
//    SPLIT_DATA_POST_BACK("splitDataPostBack", "回捞结果数据返回", -1)
//    java接收最终数据回捞结果 4
    ;
    /**
     * websocket 识别标识
     */
    private String typeName;
    /**
     * 对应具体业务方法名称
     */
    private String methodName;

    /**
     * 流程id
     */
    private Integer processId;

    PythonJavaWebsocketEnum(String typeName, String methodName, Integer processId) {
        this.typeName = typeName;
        this.methodName = methodName;
        this.processId = processId;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public Integer getProcessId() {
        return processId;
    }

    public void setProcessId(Integer processId) {
        this.processId = processId;
    }

    public static PythonJavaWebsocketEnum getWebsocketEnumByType(String typeName) {
        for (PythonJavaWebsocketEnum flowEnum : PythonJavaWebsocketEnum.values()) {
            if (flowEnum.getTypeName().equals(typeName)) {
                return flowEnum;
            }
        }
        return null;
    }

}
