package com.juxin.client.websocket.ppojo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * websocket消息传输对象
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class WebsocketInfo {
    /**
     * websocket 识别标识 消息类型
     */
    private String infoType;
    /**
     *  java 调用python  还是python调用 java
     */
    private String postType;
    /**
     * 流程方法类型
     */
    private String methodType;

    /**
     * 最终入参Json
     */
    private Object reqJson;
}
